Bug 170488 - [PATCH] security/libgcrypt: Add patch to help remove warnings in other ports
Summary: [PATCH] security/libgcrypt: Add patch to help remove warnings in other ports
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Roman Bogorodskiy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-08 21:20 UTC by Jason E. Hale
Modified: 2012-08-25 09:40 UTC (History)
1 user (show)

See Also:


Attachments
2012-08-08-libgcrypt.diff (2.36 KB, patch)
2012-08-08 21:20 UTC, Jason E. Hale
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jason E. Hale 2012-08-08 21:20:01 UTC
- gcrypt.h has some deprecated functions that aren't properly wrapped and
  emit warnings even if -DGCRYPT_NO_DEPRECATED is passed to the compiler
  such as:
     /usr/local/include/gcrypt.h:1336: warning: 'gcry_ac_io_mode_t' is deprecated
     /usr/local/include/gcrypt.h:1337: warning: 'gcry_ac_io_type_t' is deprecated
     /usr/local/include/gcrypt.h:1344: warning: 'gcry_ac_data_read_cb_t' is deprecated
     /usr/local/include/gcrypt.h:1358: warning: 'gcry_ac_data_write_cb_t' is deprecated
     /usr/local/include/gcrypt.h:1393: warning: 'gcry_md_algo_t' is deprecated
     /usr/local/include/gcrypt.h:1401: warning: 'gcry_md_algo_t' is deprecated
- While here: avoid installing multiple copies of the GPLv2 and LGPL21,
  they are known licenses and are in ${PORTSDIR}/Templates/Licenses
- Bump PORTREVISION since installed files will change

Fix: gcrypt.h.in patch created with information from:
http://lists.gnupg.org/pipermail/gcrypt-devel/2011-September/001843.html

How-To-Repeat: - Build a port that depends on libgcrypt like devel/gwenhywfar
Comment 1 Edwin Groothuis freebsd_committer 2012-08-08 21:20:12 UTC
Responsible Changed
From-To: freebsd-ports-bugs->novel

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Jason E. Hale 2012-08-09 01:23:50 UTC
Sorry...this is for security/libgcrypt not security/gnutls.
Comment 3 Roman Bogorodskiy freebsd_committer 2012-08-12 05:51:43 UTC
Hi,

As a maintainer of security/libgcrypt, could you please take a look at
this PR: 

http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/170488

and tell if you approve it.

Thanks,

Roman Bogorodskiy
Comment 4 Hirohisa Yamaguchi 2012-08-17 22:34:32 UTC
Hi,

> As a maintainer of security/libgcrypt, could you please take a look at
> this PR:
>
> http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/170488

The patch looks fine, thanks.
I approve it.

Regards,
-- 
end

    Hirohisa Yamaguchi
      umq@ueo.co.jp
Comment 5 dfilter service freebsd_committer 2012-08-25 09:34:11 UTC
Author: novel
Date: Sat Aug 25 08:33:55 2012
New Revision: 303123
URL: http://svn.freebsd.org/changeset/ports/303123

Log:
  - Properly define deprecated functions to remove warnings in other
    ports
  - Avoid installing multiple copies of the GPLv2 and LGPL21 licenses
  - Bump PORTREVISION
  
  PR:		170488
  Submitted by:	Jason E. Hale <bsdkaffee@gmail.com>
  Approved by:	Hirohisa Yamaguchi (maintainer)

Added:
  head/security/libgcrypt/files/patch-src__gcrypt.h.in   (contents, props changed)
Modified:
  head/security/libgcrypt/Makefile
  head/security/libgcrypt/pkg-plist

Modified: head/security/libgcrypt/Makefile
==============================================================================
--- head/security/libgcrypt/Makefile	Sat Aug 25 08:28:10 2012	(r303122)
+++ head/security/libgcrypt/Makefile	Sat Aug 25 08:33:55 2012	(r303123)
@@ -6,6 +6,7 @@
 
 PORTNAME=	libgcrypt
 PORTVERSION=	1.5.0
+PORTREVISION=	1
 CATEGORIES=	security
 MASTER_SITES=	${MASTER_SITE_GNUPG}
 MASTER_SITE_SUBDIR=	${PORTNAME}
@@ -15,7 +16,6 @@ COMMENT=	General purpose crypto library 
 
 LICENSE=	GPLv2 LGPL21
 LICENSE_COMB=	multi
-LICENSE_FILE=	${WRKSRC}/COPYING ${WRKSRC}/COPYING.LIB
 
 BUILD_DEPENDS=	libgpg-error>=1.8:${PORTSDIR}/security/libgpg-error
 RUN_DEPENDS=	libgpg-error>=1.8:${PORTSDIR}/security/libgpg-error
@@ -27,7 +27,7 @@ GNU_CONFIGURE=	yes
 CONFIGURE_ENV=	MAKEINFO="makeinfo --no-split"
 USE_LDCONFIG=	yes
 
-DOCS=	AUTHORS COPYING COPYING.LIB ChangeLog INSTALL NEWS README README.SVN \
+DOCS=	AUTHORS ChangeLog INSTALL NEWS README README.SVN \
 	THANKS TODO doc/HACKING doc/README.apichanges
 INFO=	gcrypt
 

Added: head/security/libgcrypt/files/patch-src__gcrypt.h.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/security/libgcrypt/files/patch-src__gcrypt.h.in	Sat Aug 25 08:33:55 2012	(r303123)
@@ -0,0 +1,19 @@
+--- ./src/gcrypt.h.in.orig	2012-08-08 07:35:27.000000000 -0400
++++ ./src/gcrypt.h.in	2012-08-08 07:37:47.000000000 -0400
+@@ -1248,7 +1248,7 @@
+    number.  */
+ gcry_error_t gcry_md_list (int *list, int *list_length);
+ 
+-
++#if !defined(GCRYPT_NO_DEPRECATED) || defined(_GCRYPT_IN_LIBGCRYPT)
+ /* Alternative interface for asymmetric cryptography.  This interface
+    is deprecated.  */
+ 
+@@ -1401,6 +1401,7 @@
+   gcry_md_algo_t md;
+ } gcry_ac_ssa_pkcs_v1_5_t _GCRY_ATTR_INTERNAL;
+ 
++#endif
+ 
+ #ifndef GCRYPT_NO_DEPRECATED
+ /* Returns a new, empty data set in DATA.  */

Modified: head/security/libgcrypt/pkg-plist
==============================================================================
--- head/security/libgcrypt/pkg-plist	Sat Aug 25 08:28:10 2012	(r303122)
+++ head/security/libgcrypt/pkg-plist	Sat Aug 25 08:33:55 2012	(r303123)
@@ -9,8 +9,6 @@ lib/libgcrypt.so
 lib/libgcrypt.so.18
 share/aclocal/libgcrypt.m4
 %%PORTDOCS%%%%DOCSDIR%%/AUTHORS
-%%PORTDOCS%%%%DOCSDIR%%/COPYING
-%%PORTDOCS%%%%DOCSDIR%%/COPYING.LIB
 %%PORTDOCS%%%%DOCSDIR%%/ChangeLog
 %%PORTDOCS%%%%DOCSDIR%%/HACKING
 %%PORTDOCS%%%%DOCSDIR%%/INSTALL
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Roman Bogorodskiy freebsd_committer 2012-08-25 09:36:43 UTC
State Changed
From-To: open->closed

Committed, thanks!